----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:02:24 02/05/2012 
-- Design Name: 
-- Module Name:    dampfmascine - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dampfmascine is
    Port ( takt : in  STD_LOGIC;
           pwm : in  STD_LOGIC_VECTOR (3 downto 0);
           led : out  STD_LOGIC);
end dampfmascine;

architecture Behavioral of dampfmascine is
signal ct: STD_LOGIC_VECTOR ( 3 downto 0 );
begin
process( takt,ct, pwm )
begin
 if( rising_edge( takt ) ) then
  case( ct ) is
  when "0000"=> ct<="0001";
  when "0001"=> ct<="0010";
  when "0010"=> ct<="0011";
  when "0011"=> ct<="0100";
  when "0100"=> ct<="0101";
  when "0101"=> ct<="0110";
  when "0110"=> ct<="0111";
  when "0111"=> ct<="1000";
  when "1000"=> ct<="1001";
  when "1001"=> ct<="1010";
  when "1010"=> ct<="1011";
  when "1011"=> ct<="1100";
  when "1100"=> ct<="1101";
  when "1101"=> ct<="1110";
  when "1110"=> ct<="1111";
  when "1111"=> ct<="0000";
  when others=> ct<="0000";
  end case;
 end if;
 if( ct < pwm ) then
  led<='1';
 else
  led<='0';
 end if;
end process;
end Behavioral;

