library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

entity test_tisch is
end test_tisch;

architecture testbench of test_tisch is
  component muxmaschine is
    generic (
      N : natural := 4;                 -- bit width of pwm
      P : natural := 3;                 -- PWM rows
      C : natural := 24);                 -- PWM columns
    Port  ( takt : in  STD_LOGIC;
            pwm : in  STD_LOGIC_VECTOR (N*P-1 downto 0);
            led : out  STD_LOGIC_VECTOR (P-1 downto 0));
  end component muxmaschine;

  signal clk : STD_LOGIC := '0';
  signal data : STD_LOGIC_VECTOR (4*3-1 downto 0);
  signal outputs : STD_LOGIC_VECTOR (3-1 downto 0);
begin  -- testbench

  TST : muxmaschine port map (
    takt => clk,
    pwm  => data,
    led  => outputs );
  TST_P: process
    begin
    end process;
end testbench;
