----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:02:24 02/05/2012 
-- Design Name: 
-- Module Name:    dampfmascine - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

 entity pwmcolumncnt is
  generic (
    C : natural := 24);                 -- PWM columns
  Port  ( ctakt   : in  STD_LOGIC;
          columns : out  STD_LOGIC_VECTOR (C-1 downto 0));
end pwmcolumncnt;

architecture Behavioral of pwmcolumncnt is
  signal ctakt: STD_LOGIC :=0;
  signal column : natural range 0 to C-1;
begin
colcounter: process( coltakt )
   begin
     if( rising_edge( coltakt ) ) then
       column<= column+1;
     end if;
   end process colcounter;

end Behavioral;
